Bug 195883 - Notification about change of filter in Outline
Notification about change of filter in Outline
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Outline&TreeTable
7.0
Other Linux
: P1 (vote)
: 7.0
Assigned To: Jaroslav Tulach
issues@platform
: API_REVIEW_FAST
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-23 17:45 UTC by Jaroslav Tulach
Modified: 2011-03-04 05:43 UTC (History)
4 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
firePropertyChange("quickFilter") (4.11 KB, patch)
2011-02-23 17:46 UTC, Jaroslav Tulach
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jaroslav Tulach 2011-02-23 17:45:10 UTC
Imagine I want to write an external action "Reset Filter" and show it in a toolbar. This actions should be disabled, when the Outline has no filter, and enabled, as soon as setQuickFilter method is called. Again, when unsetQuickFilter is called, the action should be disabled.

Looking at current implementation, there does not seem to be a straightforward way to it.
Comment 1 Jaroslav Tulach 2011-02-23 17:46:28 UTC
Created attachment 106353 [details]
firePropertyChange("quickFilter")
Comment 2 Jaroslav Tulach 2011-02-23 17:47:52 UTC
Please review.
Comment 3 Martin Entlicher 2011-02-28 15:35:29 UTC
It's fine for me.
Only the issue number in apichanges.xml should be this (195883).
Comment 4 Jaroslav Tulach 2011-03-01 20:41:56 UTC
OK, I'll apply the change tomorrow.
Comment 5 Jaroslav Tulach 2011-03-02 05:24:04 UTC
ergonomics#77344a153d1a
Comment 6 Quality Engineering 2011-03-04 05:43:17 UTC
Integrated into 'main-golden', will be available in build *201103040000* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/77344a153d1a
User: Jaroslav Tulach <jtulach@netbeans.org>
Log: #195883 - Notification about change of filter in Outline


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo